package com.jpsoft.bus.modules.bus.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:bus_route_account的实体类
 */
@Data
@ApiModel(value = "bus_route_account的实体类")
public class RouteAccount {
        @ApiModelProperty(value = "主键")
    private String id;
        @ApiModelProperty(value = "线路ID")
    private String routeId;
        @ApiModelProperty(value = "营收用户ID")
    private String accountId;
        @ApiModelProperty(value = "创建人")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
    private Date createTime;
        @ApiModelProperty(value = "更新人")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;

    @ApiModelProperty(value = "营收用户名称")
    private String accountName;
}