package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.bus.entity.RouteAccount;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface RouteAccountService {
	RouteAccount get(String id);
	boolean exist(String id);
	int insert(RouteAccount model);
	int update(RouteAccount model);
	int delete(String id);
	List<RouteAccount> list();
	Page<RouteAccount> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    List<RouteAccount> findByAccountId(String accountId);
	List<RouteAccount> findByRouteId(String routeId);
	int deleteByRouteId(String routeId);
}