package com.jpsoft.bus.modules.bus.dao;

import java.util.List;

import com.jpsoft.bus.modules.bus.entity.RouteAccount;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface RouteAccountDAO {
	int insert(RouteAccount entity);
	int update(RouteAccount entity);
	int exist(String id);
	RouteAccount get(String id);
	int delete(String id);
	List<RouteAccount> list();
	List<RouteAccount> search(Map<String,Object> searchParams,List<Sort> sortList);

    List<RouteAccount> findByAccountId(String accountId);
	List<RouteAccount> findByRouteId(String routeId);
	int deleteByRouteId(String routeId);
}